#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BuySideGlobal.BGBlueChip[] cacheBGBlueChip;
		private BuySideGlobal.BGOrderFlowZones[] cacheBGOrderFlowZones;
		private BuySideGlobal.BGTrailingStop[] cacheBGTrailingStop;

		
		public BuySideGlobal.BGBlueChip BGBlueChip(bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			return BGBlueChip(Input, showTarget, flagColorBull, flagColorBear, dotColorBull, dotColorBear, targetPenBull, targetPenBear, dotSize, use_Alerts, alertsnd, powerPlay, volumeCrush, volumeCrushAvgLen);
		}

		public BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			return BGOrderFlowZones(Input, showEntryLine, entryLineOffset, bGMTAEnabled, bGMTAShowZones, bGMTAPeriod, highTFLineWidth, bGMTAPeriodType, bGMTABuy, bGMTASell, bGTrend, buyZoneAlarm, sellZoneAlarm, longColor, shortColor, mainTFLineWidth);
		}

		public BuySideGlobal.BGTrailingStop BGTrailingStop(Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			return BGTrailingStop(Input, upcolor1, alpha, beta, gamma, colorbar, smooth, dncolor1, flatcolor1);
		}


		
		public BuySideGlobal.BGBlueChip BGBlueChip(ISeries<double> input, bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			if (cacheBGBlueChip != null)
				for (int idx = 0; idx < cacheBGBlueChip.Length; idx++)
					if (cacheBGBlueChip[idx].ShowTarget == showTarget && cacheBGBlueChip[idx].FlagColorBull == flagColorBull && cacheBGBlueChip[idx].FlagColorBear == flagColorBear && cacheBGBlueChip[idx].DotColorBull == dotColorBull && cacheBGBlueChip[idx].DotColorBear == dotColorBear && cacheBGBlueChip[idx].TargetPenBull == targetPenBull && cacheBGBlueChip[idx].TargetPenBear == targetPenBear && cacheBGBlueChip[idx].DotSize == dotSize && cacheBGBlueChip[idx].Use_Alerts == use_Alerts && cacheBGBlueChip[idx].Alertsnd == alertsnd && cacheBGBlueChip[idx].PowerPlay == powerPlay && cacheBGBlueChip[idx].VolumeCrush == volumeCrush && cacheBGBlueChip[idx].VolumeCrushAvgLen == volumeCrushAvgLen && cacheBGBlueChip[idx].EqualsInput(input))
						return cacheBGBlueChip[idx];
			return CacheIndicator<BuySideGlobal.BGBlueChip>(new BuySideGlobal.BGBlueChip(){ ShowTarget = showTarget, FlagColorBull = flagColorBull, FlagColorBear = flagColorBear, DotColorBull = dotColorBull, DotColorBear = dotColorBear, TargetPenBull = targetPenBull, TargetPenBear = targetPenBear, DotSize = dotSize, Use_Alerts = use_Alerts, Alertsnd = alertsnd, PowerPlay = powerPlay, VolumeCrush = volumeCrush, VolumeCrushAvgLen = volumeCrushAvgLen }, input, ref cacheBGBlueChip);
		}

		public BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(ISeries<double> input, bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			if (cacheBGOrderFlowZones != null)
				for (int idx = 0; idx < cacheBGOrderFlowZones.Length; idx++)
					if (cacheBGOrderFlowZones[idx].ShowEntryLine == showEntryLine && cacheBGOrderFlowZones[idx].EntryLineOffset == entryLineOffset && cacheBGOrderFlowZones[idx].BGMTAEnabled == bGMTAEnabled && cacheBGOrderFlowZones[idx].BGMTAShowZones == bGMTAShowZones && cacheBGOrderFlowZones[idx].BGMTAPeriod == bGMTAPeriod && cacheBGOrderFlowZones[idx].HighTFLineWidth == highTFLineWidth && cacheBGOrderFlowZones[idx].BGMTAPeriodType == bGMTAPeriodType && cacheBGOrderFlowZones[idx].BGMTABuy == bGMTABuy && cacheBGOrderFlowZones[idx].BGMTASell == bGMTASell && cacheBGOrderFlowZones[idx].BGTrend == bGTrend && cacheBGOrderFlowZones[idx].BuyZoneAlarm == buyZoneAlarm && cacheBGOrderFlowZones[idx].SellZoneAlarm == sellZoneAlarm && cacheBGOrderFlowZones[idx].LongColor == longColor && cacheBGOrderFlowZones[idx].ShortColor == shortColor && cacheBGOrderFlowZones[idx].MainTFLineWidth == mainTFLineWidth && cacheBGOrderFlowZones[idx].EqualsInput(input))
						return cacheBGOrderFlowZones[idx];
			return CacheIndicator<BuySideGlobal.BGOrderFlowZones>(new BuySideGlobal.BGOrderFlowZones(){ ShowEntryLine = showEntryLine, EntryLineOffset = entryLineOffset, BGMTAEnabled = bGMTAEnabled, BGMTAShowZones = bGMTAShowZones, BGMTAPeriod = bGMTAPeriod, HighTFLineWidth = highTFLineWidth, BGMTAPeriodType = bGMTAPeriodType, BGMTABuy = bGMTABuy, BGMTASell = bGMTASell, BGTrend = bGTrend, BuyZoneAlarm = buyZoneAlarm, SellZoneAlarm = sellZoneAlarm, LongColor = longColor, ShortColor = shortColor, MainTFLineWidth = mainTFLineWidth }, input, ref cacheBGOrderFlowZones);
		}

		public BuySideGlobal.BGTrailingStop BGTrailingStop(ISeries<double> input, Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			if (cacheBGTrailingStop != null)
				for (int idx = 0; idx < cacheBGTrailingStop.Length; idx++)
					if (cacheBGTrailingStop[idx].upcolor1 == upcolor1 && cacheBGTrailingStop[idx].alpha == alpha && cacheBGTrailingStop[idx].beta == beta && cacheBGTrailingStop[idx].gamma == gamma && cacheBGTrailingStop[idx].colorbar == colorbar && cacheBGTrailingStop[idx].smooth == smooth && cacheBGTrailingStop[idx].dncolor1 == dncolor1 && cacheBGTrailingStop[idx].flatcolor1 == flatcolor1 && cacheBGTrailingStop[idx].EqualsInput(input))
						return cacheBGTrailingStop[idx];
			return CacheIndicator<BuySideGlobal.BGTrailingStop>(new BuySideGlobal.BGTrailingStop(){ upcolor1 = upcolor1, alpha = alpha, beta = beta, gamma = gamma, colorbar = colorbar, smooth = smooth, dncolor1 = dncolor1, flatcolor1 = flatcolor1 }, input, ref cacheBGTrailingStop);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BuySideGlobal.BGBlueChip BGBlueChip(bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			return indicator.BGBlueChip(Input, showTarget, flagColorBull, flagColorBear, dotColorBull, dotColorBear, targetPenBull, targetPenBear, dotSize, use_Alerts, alertsnd, powerPlay, volumeCrush, volumeCrushAvgLen);
		}

		public Indicators.BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			return indicator.BGOrderFlowZones(Input, showEntryLine, entryLineOffset, bGMTAEnabled, bGMTAShowZones, bGMTAPeriod, highTFLineWidth, bGMTAPeriodType, bGMTABuy, bGMTASell, bGTrend, buyZoneAlarm, sellZoneAlarm, longColor, shortColor, mainTFLineWidth);
		}

		public Indicators.BuySideGlobal.BGTrailingStop BGTrailingStop(Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			return indicator.BGTrailingStop(Input, upcolor1, alpha, beta, gamma, colorbar, smooth, dncolor1, flatcolor1);
		}


		
		public Indicators.BuySideGlobal.BGBlueChip BGBlueChip(ISeries<double> input , bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			return indicator.BGBlueChip(input, showTarget, flagColorBull, flagColorBear, dotColorBull, dotColorBear, targetPenBull, targetPenBear, dotSize, use_Alerts, alertsnd, powerPlay, volumeCrush, volumeCrushAvgLen);
		}

		public Indicators.BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(ISeries<double> input , bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			return indicator.BGOrderFlowZones(input, showEntryLine, entryLineOffset, bGMTAEnabled, bGMTAShowZones, bGMTAPeriod, highTFLineWidth, bGMTAPeriodType, bGMTABuy, bGMTASell, bGTrend, buyZoneAlarm, sellZoneAlarm, longColor, shortColor, mainTFLineWidth);
		}

		public Indicators.BuySideGlobal.BGTrailingStop BGTrailingStop(ISeries<double> input , Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			return indicator.BGTrailingStop(input, upcolor1, alpha, beta, gamma, colorbar, smooth, dncolor1, flatcolor1);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BuySideGlobal.BGBlueChip BGBlueChip(bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			return indicator.BGBlueChip(Input, showTarget, flagColorBull, flagColorBear, dotColorBull, dotColorBear, targetPenBull, targetPenBear, dotSize, use_Alerts, alertsnd, powerPlay, volumeCrush, volumeCrushAvgLen);
		}

		public Indicators.BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			return indicator.BGOrderFlowZones(Input, showEntryLine, entryLineOffset, bGMTAEnabled, bGMTAShowZones, bGMTAPeriod, highTFLineWidth, bGMTAPeriodType, bGMTABuy, bGMTASell, bGTrend, buyZoneAlarm, sellZoneAlarm, longColor, shortColor, mainTFLineWidth);
		}

		public Indicators.BuySideGlobal.BGTrailingStop BGTrailingStop(Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			return indicator.BGTrailingStop(Input, upcolor1, alpha, beta, gamma, colorbar, smooth, dncolor1, flatcolor1);
		}


		
		public Indicators.BuySideGlobal.BGBlueChip BGBlueChip(ISeries<double> input , bool showTarget, Brush flagColorBull, Brush flagColorBear, Brush dotColorBull, Brush dotColorBear, Stroke targetPenBull, Stroke targetPenBear, int dotSize, bool use_Alerts, string alertsnd, int powerPlay, bool volumeCrush, int volumeCrushAvgLen)
		{
			return indicator.BGBlueChip(input, showTarget, flagColorBull, flagColorBear, dotColorBull, dotColorBear, targetPenBull, targetPenBear, dotSize, use_Alerts, alertsnd, powerPlay, volumeCrush, volumeCrushAvgLen);
		}

		public Indicators.BuySideGlobal.BGOrderFlowZones BGOrderFlowZones(ISeries<double> input , bool showEntryLine, int entryLineOffset, bool bGMTAEnabled, bool bGMTAShowZones, int bGMTAPeriod, int highTFLineWidth, BarsPeriodType bGMTAPeriodType, Brush bGMTABuy, Brush bGMTASell, bool bGTrend, string buyZoneAlarm, string sellZoneAlarm, Brush longColor, Brush shortColor, int mainTFLineWidth)
		{
			return indicator.BGOrderFlowZones(input, showEntryLine, entryLineOffset, bGMTAEnabled, bGMTAShowZones, bGMTAPeriod, highTFLineWidth, bGMTAPeriodType, bGMTABuy, bGMTASell, bGTrend, buyZoneAlarm, sellZoneAlarm, longColor, shortColor, mainTFLineWidth);
		}

		public Indicators.BuySideGlobal.BGTrailingStop BGTrailingStop(ISeries<double> input , Brush upcolor1, int alpha, int beta, int gamma, bool colorbar, bool smooth, Brush dncolor1, Brush flatcolor1)
		{
			return indicator.BGTrailingStop(input, upcolor1, alpha, beta, gamma, colorbar, smooth, dncolor1, flatcolor1);
		}

	}
}

#endregion
